On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwriteThe ID of the draft invoice to delete.
^.*$0 <= length <= 2147483647application/json
Optional configuration parameters to adjust QR code width, height and the encoded URL.
TypeScript Definitions
Use the request body type in TypeScript.
multipart/mixed
multipart/mixed
multipart/mixed
multipart/mixed
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v2/invoicing/invoices/string/generate-qr-code" \ -H "Content-Type: application/json" \ -d '{ "width": 400, "height": 400 }'{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_INTEGER_MAX_VALUE",
"description": "Value exceeds max value."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "The requested invoice is not associated with the requested user."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}The width, in pixels, of the QR code image. Value is from 150 to 500.
500150 <= value <= 500The height, in pixels, of the QR code image. Value is from 150 to 500.
500150 <= value <= 500The type of URL for which to generate a QR code. Valid values are pay and details.
"pay"^(pay|details)$0 <= length <= 7